Bug 192917 - btsync upgrade
Summary: btsync upgrade
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Bartek Rutkowski
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-08-22 13:35 UTC by Kyle J. Farmer
Modified: 2014-08-28 11:22 UTC (History)
2 users (show)

See Also:


Attachments
btsync (1.20 KB, patch)
2014-08-22 13:35 UTC, Kyle J. Farmer
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Kyle J. Farmer 2014-08-22 13:35:54 UTC
Created attachment 146155 [details]
btsync

Upgrade from 1.3.106 to 1.3.109.  i386 and amd64, working.
Comment 1 John Marino freebsd_committer 2014-08-22 13:46:30 UTC
Notify maintainer (in CC) for approval
Comment 2 joshruehlig 2014-08-22 20:14:39 UTC
I approve the attached patch. I'm new at this so I don't know what I need to do to push this into the ports tree. Also I have limited connectivity for the next week, but will try to check my email occasionally.
Comment 3 Bartek Rutkowski freebsd_committer 2014-08-27 10:42:24 UTC
Committed, thanks for your work!
Comment 4 commit-hook freebsd_committer 2014-08-27 10:43:03 UTC
A commit references this bug:

Author: robak
Date: Wed Aug 27 10:42:06 UTC 2014
New revision: 366304
URL: http://svnweb.freebsd.org/changeset/ports/366304

Log:
  net-p2p/btsync: update 1.3.106 -> 1.3.109

  PR:		192917
  Submitted by:	Kyle J. Farmer <bannereddivpool@gmail.com>
  Approved by:	mentors (implicit)

Changes:
  head/net-p2p/btsync/Makefile
  head/net-p2p/btsync/distinfo
Comment 5 joshruehlig 2014-08-27 15:25:39 UTC
(In reply to Bartek Rutkowski from comment #3)
> Committed, thanks for your work!

Thanks for commiting, and thanks Kyle for uploading the patch.

Just so I can be more helpful, is there anything else I need to do next time to approve patches to this port?

Thanks,
Comment 6 Bartek Rutkowski freebsd_committer 2014-08-27 15:30:13 UTC
Josh,

Nope, a comment with approval for the patch (ideally, with information about testing it) is enough for the committers to take care of the rest for both you and the patch submitter (assuming the patch is correct).
Comment 7 joshruehlig 2014-08-27 17:57:41 UTC
(In reply to Bartek Rutkowski from comment #6)

Ok, thanks!

This program just got updated again so I'll submit a new patch soon.
I don't have a way to test i386 currently. Any advice? I guess I could spin up a 32bit VM.
Comment 8 Kyle J. Farmer 2014-08-28 11:22:59 UTC
That is what I normally do for testing i386.  Too many differences in system files between amd64 and i386.  Hope that helps.